nxt.db

## Class DerivedDbTable

- java.lang.Object
- - nxt.db.DerivedDbTable

- Direct Known Subclasses:
    TrimmableDbTable

      public abstract class DerivedDbTable
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static TransactionalDb` | `db`
    `protected java.lang.String` | `table`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DerivedDbTable(java.lang.String table)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createSearchIndex(java.sql.Connection con)`
    `boolean` | `isPersistent()`
    `void` | `popOffTo(int height)`
    `void` | `rollback(int height)`
    `java.lang.String` | `toString()`
    `void` | `trim(int height)`
    `void` | `truncate()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### db

          protected static final TransactionalDb db

    - #### table

          protected final java.lang.String table

  - ### Constructor Detail

    - #### DerivedDbTable

          protected DerivedDbTable(java.lang.String table)

  - ### Method Detail

    - #### popOffTo

          public void popOffTo(int height)

    - #### rollback

          public void rollback(int height)

    - #### truncate

          public void truncate()

    - #### trim

          public void trim(int height)

    - #### createSearchIndex

          public void createSearchIndex(java.sql.Connection con)
                                 throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### isPersistent

          public boolean isPersistent()

    - #### toString

          public final java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`